import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface ToastCustomProps {
    show?: boolean;
    timeout?: number;
    onCloseCallback: () => void;
}
export declare type ToastElementType = HTMLDivElement;
export declare type ToastProps = Omit<CommonAndHTMLProps<ToastElementType>, keyof ToastCustomProps> & ToastCustomProps;
export declare const Toast: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof ToastCustomProps> & ToastCustomProps & React.RefAttributes<HTMLDivElement>>;
